Subject: Re: [mobile-ip] RFC3012-bis question

From: Yoshiyuki Tsuda <[email-masked]>
Date: Thu, 30 Jan 2003 18:13:04 +0900

Hi folks,

 Sorry for my late reply.  Looking from a mobile node, my
 understanding of the 3.1 MISSING_CHALLENGE is as follows:
 - When a mobile node receives MISSING_CHALLENGE, and only if
   it didn't include a challenge in the previous registration
   request, it will include an unused challenge and re-send a
   registration request to the foreign agent.

 Therefore, it won't re-send a registration request when it
 receives the second MISSING_CHALLENGE, because, you know,
 the second registration request had already included a
 challenge.  Thus, such an infinite loop had been never
 experienced at the past bakeoffs.

 Well, a bad mobile node might keep sending registration
 requests each time it receives a MISSING_CHALLENGE.  So, a
 foreign agent had better prevent it, I agree.  Should we
 make clear of it ???

Thanks.
-Yoshi

at Wed, 29 Jan 2003 16:46:15 -0800 (PST), Sivasundar Ramamurthy wrote:
>
>> I guess you are saying it depends on how you understand sec 3.2. 
>> 
>> ".. sec 3.2 ... Also in this case, the Foreign Agent MUST reject
>> any Registration Reply message coming from the Home Agent that
>> does not also include the Challenge Extension with the same
>> Challenge Value that was included in the Registration Request.  
>> .."
>> 
>> Your explanation seems to imply that the above sentence means something like 
>> 
>> IF (the Reply contains a Challenge Extension)
>> 	 it must be rejected if it does not match the challenge value that 
>>        had been included in the reg request
>> ELSE
>> 	just process as normal reply
>> END 
>> 
>> If that is the case, then I think the sentence should be clarified
>> to state it in that manner.
> 
>I agree that this should be stated clearly.
>
>Until Jayashree's email, I too interpreted this sentence as
>"missing extension or mismatch challenge value in extension," and
>not as "mismatch challenge value in the (optional) challenge
>extension."
>
>
>Siva

---

From: "Jayshree Bharatia" <[email-masked]>
Date: Thu, 30 Jan 2003 09:58:38 -0600

Hello Siva, Woojune,

I will update section 3.2 to clarify these two scenarios. 

Thanks,
Jayshree

> -----Original Message-----
> From: Sivasundar Ramamurthy [mailto:[email-masked]]
> Sent: Wednesday, January 29, 2003 6:46 PM
> To: Woojune Kim
> Cc: Bharatia, Jayshree [RICH1:2H13:EXCH]; 
> [email-masked]
> Subject: RE: [mobile-ip] RFC3012-bis question 
> 
> 
> 
>